        parameter (nmax=2000)
        real co2(nmax)
        open (unit=3,file='ghg-lowf.dat',status='old')
        open (unit=4,file='ghg-smoothed.dat',status='unknown')
        ref0 = 278.5
        baseline=-11.8
        do i=1400,1710
           co2(i)=baseline
        end do
        do i=1610,1980
           read (3,*) adum,ghg
           if (i.ge.1710) co2(i)=ghg
        end do
        do i=1400,1980
           co2(i)=co2(i)+ref0-baseline
           write (4,*) i,log(co2(i)/ref0)
        end do
        close (unit=3)
        stop
        end
